"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-enum-tag",
  props: ["Enums", "value", "type", "size"],
  setup(__props) {
    const props = __props;
    const styleObj = common_vendor.ref();
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.t((_b = (_a = props == null ? void 0 : props.Enums) == null ? void 0 : _a[props.value]) == null ? void 0 : _b.text),
        b: common_vendor.n(`wl_enum_tag wl_tag_size_${__props.size}`),
        c: common_vendor.s(styleObj.value)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d99f13f0"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-enum-tag/hs-enum-tag.vue"]]);
wx.createComponent(Component);
